%define debug false
%define udev_scriptdir /lib/udev
%define firmwaredir /lib/firmware

%global momorel 5

Summary: A userspace implementation of devfs
Name: udev
Version: 151
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Base
Provides: udev-persistent = %{version}-%{release}
Obsoletes: udev-persistent < 0:030-5
Obsoletes: udev-extras < 20090618
Provides: udev-extras = 20090618-1
Obsoletes: %{name}-static
Source0: ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
# NoSource: 0

Source1: start_udev
Source3: udev-post.init
Source4: fw_unit_symlinks.sh
Source5: udev.sysconfig

Patch1: 0001-firmware-fix-error-reporting-on-missing-firmware-fil.patch
Patch2: 0002-keymap-Add-Dell-Inspiron-1011-Mini-10.patch
Patch3: 0003-Fix-brightness-keys-on-MSI-Wind-U-100.patch
Patch4: 0004-keymap-Add-support-for-Gateway-AOA110-AOA150-clones.patch
Patch5: 0005-keymap-Fix-LG-X110.patch
Patch6: 0006-Force-key-release-for-volume-keys-on-Dell-Studio-155.patch
Patch7: 0007-keymap-Add-Toshiba-Satellite-M30X.patch
Patch13: 0013-keymap-Add-Samsung-Q210-P210-force-release-quirk.patch
Patch14: 0014-keymap-Add-Fujitsu-Amilo-1848-u-force-release-quirk.patch
Patch15: 0015-Decrease-buffer-size-when-advancing-past-NUL-byte.patch
Patch16: 0016-Use-UTIL_LINE_SIZE-not-UTIL_PATH_SIZE-to-truncate-pr.patch
Patch17: 0017-Increase-UTIL_LINE_SIZE-from-2048-to-16384.patch
Patch18: 0018-Fix-virtio-ports-rule-to-use-attr-instead-of-ATTR.patch
Patch19: 0019-udev-acl-Correctly-handle-ENV-ACL_MANAGE-0.patch
Patch21: 0021-input_id-Fix-linking.patch
Patch22: 0022-replace-utimes-with-utimensat.patch
Patch29: 0029-firmware-fix-possible-segfault-when-firmware-device-.patch
Patch30: 0030-rules-input-create-by-path-links-for-pci-devices.patch
Patch32: 0032-do-not-reset-SELinux-context-when-the-node-was-not-t.patch
Patch34: 0034-add-LGPL-COPYING-to-libudev-and-GUdev.patch
Patch35: 0035-cdrom_id-open-non-mounted-optical-media-with-O_EXCL.patch
Patch36: 0036-modeswitch-morph-into-tool-that-only-switches-Mobile.patch
Patch48: 0048-cdrom_id-remove-debugging-code.patch
Patch49: 0049-cdrom_id-retry-to-open-the-device-if-EBUSY.patch
Patch50: 0050-cdrom_id-check-mount-state-in-retry-loop.patch
Patch51: 0051-cdrom_id-always-set-ID_CDROM-regardless-if-we-can-ru.patch
Patch62: 0062-cdrom_id-Fix-uninitialized-variables.patch
Patch65: 0065-cdrom_id-Fix-uninitialized-buffers.patch
Patch66: 0066-cdrom_id.patch
Patch67: 0067-cdrom_id-rework-feature-profiles-buffer-parsing.patch
Patch68: 0068-cdrom_id-print-more-debug-messages.patch
Patch69: 0069-cdrom_id-debug-print-feature-values-in-hex.patch
Patch70: 0070-cdrom_id-debug-print-feature-values-in-hex.patch
Patch71: 0071-cdrom_id-Do-not-ignore-errors-from-scsi_cmd_run.patch
Patch72: 0072-cdrom_id-Swap-media-state-and-TOC-info-probing.patch
Patch74: 0074-cdrom_id-add-missing-profiles-to-feature_profiles.patch
Patch75: 0075-cdrom_id-set-ID_CDROM_MEDIA-1-only-for-known-media.patch
Patch110: 0110-cdrom_id-only-mark-sr-0-9-as-ID_CDROM.patch

Patch101: udev-151-rules.patch
Patch102: udev-151-virtio.patch
Patch103: udev-151-gperf.patch

ExclusiveOS: Linux
URL: http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): bash, coreutils, fileutils, sysvinit
Requires(pre): MAKEDEV >= 3.11, chkconfig, glibc-common, shadow-utils
Requires: hwdata

%ifarch s390 s390x
# Require s390utils-base, because it's essential on s390
Requires: s390utils-base
%endif

BuildRequires: sed libselinux-devel >= 1.29.2 flex libsepol-devel
BuildRequires: glib2-devel bison findutils MAKEDEV
BuildRequires: gperf
BuildRequires: libusb-devel libacl-devel
BuildRequires: libxslt
BuildRequires: hwdata
BuildRequires: gobject-introspection-devel >= 0.6.2
BuildRequires: gtk-doc
BuildRequires: usbutils >= 0.82
BuildRequires: libtool >= 2.2.6 autoconf automake

Requires: libselinux >= 0:1.17.9-2 sed
Conflicts: mkinitrd <= 4.1.11-1 initscripts < 7.84
Requires: util-linux-ng >= 2.15.1
Obsoletes: dev <= 3.12-1
Provides: dev = 3.12-2
Obsoletes: libvolume_id libvolume_id-devel
Obsoletes: DeviceKit < 004
Obsoletes: DeviceKit-devel < 004
Provides: DeviceKit = 004 DeviceKit-devel = 004
# hid2hci moved to udev
Conflicts: bluez < 4.47

%description
The udev package contains an implementation of devfs in
userspace using sysfs and netlink.

%package -n libudev
Summary: Dynamic library to access udev device information
License: LGPLv2+
Group: System Environment/Libraries
Obsoletes: libudev0 <= 142
Provides: libudev0 = 143

%description -n libudev
This package contains the dynamic library libudev, which provides access
to udev device information, and an interface to search devices in sysfs.

%package -n libudev-devel
Summary: Development files for libudev
License: LGPLv2+
Group: Development/Libraries
Requires: udev = %{version}-%{release}
Requires: libudev = %{version}-%{release}

%description -n libudev-devel
This package contains the development files for the library libudev, a
dynamic library, which provides access to udev device information.

%package -n libgudev1
Summary: Libraries for adding libudev support to applications that use glib
License: LGPLv2+
Group: Development/Libraries
Requires: libudev >= 142
# remove the following lines for libgudev so major 1
Provides: libgudev = 20090518
Obsoletes: libgudev <= 20090517

%description -n libgudev1
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%package -n libgudev1-devel
Summary: Header files for adding libudev support to applications that use glib
License: LGPLv2+
Group: Development/Libraries
Requires: libudev-devel >= 142
Provides: libgudev-devel = 20090518
Obsoletes: libgudev-devel <= 20090517
Requires: libgudev1 = %{version}-%{release}

%description -n libgudev1-devel
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

%prep
%setup -q

%patch1 -p1 -b .git1
%patch2 -p1 -b .git2
%patch3 -p1 -b .git3
%patch4 -p1 -b .git4
%patch5 -p1 -b .git5
%patch6 -p1 -b .git6
%patch7 -p1 -b .git7
%patch13 -p1 -b .git13
%patch14 -p1 -b .git14
%patch15 -p1 -b .git15
%patch16 -p1 -b .git16
%patch17 -p1 -b .git17
%patch18 -p1 -b .git18
%patch19 -p1 -b .git19
%patch21 -p1 -b .git21
%patch22 -p1 -b .git22
%patch29 -p1 -b .git29
%patch30 -p1 -b .git30
%patch32 -p1 -b .git32
%patch34 -p1 -b .git34
%patch35 -p1 -b .git35
%patch36 -p1 -b .git36
%patch48 -p1 -b .git48
%patch49 -p1 -b .git49
%patch50 -p1 -b .git50
%patch51 -p1 -b .git51
%patch62 -p1 -b .git62
%patch65 -p1 -b .git65
%patch66 -p1 -b .git66
%patch67 -p1 -b .git67
%patch68 -p1 -b .git68
%patch69 -p1 -b .git69
%patch70 -p1 -b .git70
%patch71 -p1 -b .git71
%patch72 -p1 -b .git72
%patch74 -p1 -b .git74
%patch75 -p1 -b .git75
%patch110 -p1 -b .git110

%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
autoreconf -i
automake
# get rid of rpath
libtoolize -f -c
%configure --with-selinux  --prefix=%{_prefix} --exec-prefix="" \
	   --sysconfdir=%{_sysconfdir} --with-libdir-name=%{_lib} \
	   --sbindir="/sbin" --libexecdir=%{udev_scriptdir} \
	   --with-rootlibdir=/%{_lib} --enable-introspection \
	   --disable-rpath --enable-debug

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}

make install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}/udev
rm -f %{buildroot}/%{_libdir}/*.la

# Deprecated, but keep the ownership
mkdir -p %{buildroot}%{_sysconfdir}/udev/{rules.d,makedev.d,scripts,devices}
mkdir -p %{buildroot}%{_sysconfdir}/dev.d
mkdir -p %{buildroot}%{_bindir}
touch %{buildroot}%{_sysconfdir}/scsi_id.config

# force relative symlinks
ln -sf ..%{udev_scriptdir}/scsi_id %{buildroot}/sbin/scsi_id

for i in \
	rules/redhat/40-redhat.rules \
%ifarch ia64
	rules/packages/40-ia64.rules \
%endif
%ifarch ppc ppc64
	rules/packages/40-ppc.rules \
%endif
%ifarch s390 s390x
	rules/packages/40-s390.rules \
%endif
	rules/packages/40-isdn.rules \
	rules/packages/64-md-raid.rules \
	rules/packages/64-device-mapper.rules \
	; do
	install -m 0644 "$i"  "%{buildroot}%{udev_scriptdir}/rules.d/${i##*/}"
done

mkdir -p %{buildroot}%{udev_scriptdir}/{,devices}
	
install -m 0755 %{SOURCE4} %{buildroot}%{udev_scriptdir}/fw_unit_symlinks.sh

mkdir -p %{buildroot}%{_datadir}/udev
install -m 0755 %{SOURCE1} %{buildroot}/sbin/start_udev

mkdir -p -m 0755 %{buildroot}%{firmwaredir}

mkdir -p %{buildroot}%{_initscriptdir}
install -m 0755 %{SOURCE3} %{buildroot}%{_initscriptdir}/udev-post

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 0755 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/udev

mkdir -p %{buildroot}/var/lib/udev/makedev.d

%preun
if [ "$1" -eq 0 -a -f %{_initscriptdir}/udev ]; then
	if [ -x /sbin/pidof ]; then
		pid=$(/sbin/pidof -c udevd)
		if [ -n "$pid" ]; then
			kill $pid
		fi
	fi
	/sbin/chkconfig --del udev
fi
if [ "$1" -eq 0 ]; then
	/sbin/chkconfig --del udev-post
fi
exit 0

%pre
# to be removed after Mo5 or Mo6 EOL
getent group video >/dev/null || /usr/sbin/groupadd -g 39 video || :
getent group audio >/dev/null || /usr/sbin/groupadd -g 63 audio || :
# to be kept
getent group cdrom >/dev/null || /usr/sbin/groupadd -g 16 cdrom || :
getent group tape >/dev/null || /usr/sbin/groupadd -g 33 tape || :
getent group dialout >/dev/null || /usr/sbin/groupadd -g 93 dialout || :

# kill daemon if we are not in a chroot
if test -f /proc/1/exe -a -d /proc/1/root; then
	if test -x /usr/bin/stat -a "$(/usr/bin/stat -Lc '%%D-%%i' /)" = "$(/usr/bin/stat -Lc '%%D-%%i' /proc/1/root)"; then
		if test -x /sbin/udevd -a -x /sbin/pidof ; then
			/sbin/udevadm control --stop-exec-queue
			pid=$(/sbin/pidof -c udevd)
			while [ -n "$pid" ]; do
				for p in $pid; do
					kill $hard $p;
				done
				pid=$(/sbin/pidof -c udevd)
				hard="-9"
			done
		fi
	fi
fi
exit 0

%post
# start daemon if we are not in a chroot
if test -f /proc/1/exe -a -d /proc/1/root; then
	if test "$(/usr/bin/stat -Lc '%%D-%%i' /)" = "$(/usr/bin/stat -Lc '%%D-%%i' /proc/1/root)"; then
		/sbin/udevd -d
		/sbin/udevadm control --start-exec-queue
	fi
fi
/sbin/chkconfig --add udev-post

exit 0

%triggerin -- selinux-policy
rm -f /var/lib/udev/makenode.d/*  >/dev/null 2>&1 || :

%triggerin -- MAKEDEV
rm -f /var/lib/udev/makenode.d/*  >/dev/null 2>&1 || :

%post -n libudev
/sbin/ldconfig

%postun -n libudev
/sbin/ldconfig

%post -n libgudev1
/sbin/ldconfig

%postun -n libgudev1
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc COPYING ChangeLog NEWS README TODO ChangeLog
%doc extras/keymap/README.keymap.txt
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/start_udev
%attr(0755,root,root) /sbin/scsi_id
%attr(0755,root,root) %{udev_scriptdir}/scsi_id
%attr(0755,root,root) %{udev_scriptdir}/ata_id
%attr(0755,root,root) %{udev_scriptdir}/edd_id
%attr(0755,root,root) %{udev_scriptdir}/usb_id
%attr(0755,root,root) %{udev_scriptdir}/cdrom_id
%attr(0755,root,root) %{udev_scriptdir}/path_id
%attr(0755,root,root) %{udev_scriptdir}/hid2hci
%attr(0755,root,root) %{udev_scriptdir}/create_floppy_devices
%attr(0755,root,root) %{udev_scriptdir}/fw_unit_symlinks.sh
%attr(0755,root,root) %{udev_scriptdir}/firmware
%attr(0644,root,root) %{udev_scriptdir}/rule_generator.functions
%attr(0755,root,root) %{udev_scriptdir}/write_cd_rules
%attr(0755,root,root) %{udev_scriptdir}/write_net_rules
%attr(0755,root,root) %{udev_scriptdir}/collect
%attr(0755,root,root) %{udev_scriptdir}/fstab_import
%attr(0755,root,root) %{udev_scriptdir}/input_id
%attr(0755,root,root) %{udev_scriptdir}/keyboard-force-release.sh

%attr(0755,root,root) %dir %{udev_scriptdir}/rules.d
%attr(0755,root,root) %{_initscriptdir}/udev-post
%attr(0755,root,root) %dir %{_sysconfdir}/udev/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/rules.d/
%attr(0755,root,root) %dir %{udev_scriptdir}/
%attr(0755,root,root) %dir %{udev_scriptdir}/devices/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/makedev.d/

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/udev

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/udev/udev.conf
%attr(0644,root,root) %{udev_scriptdir}/rules.d/*.rules

%ghost %config(noreplace,missingok) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config

%dir %attr(0755,root,root) %{firmwaredir}
%attr(0644,root,root) %{_mandir}/man8/udev*.8*
%attr(0644,root,root) %{_mandir}/man7/udev*.7*
%attr(0644,root,root) %{_mandir}/man8/scsi_id*.8*

%dir %attr(0755,root,root) /var/lib/udev
%dir %attr(0755,root,root) /var/lib/udev/makedev.d

# Deprecated, but keep the ownership
%ghost %dir %{_sysconfdir}/udev/scripts/
%ghost %dir %{_sysconfdir}/udev/devices/
%ghost %dir %{_sysconfdir}/dev.d/

%attr(0755,root,root) %{udev_scriptdir}/mobile-action-modeswitch
%attr(0755,root,root) %{udev_scriptdir}/pci-db
%attr(0755,root,root) %{udev_scriptdir}/usb-db
%attr(0755,root,root) %{udev_scriptdir}/keymap
%attr(0755,root,root) %{udev_scriptdir}/udev-acl
%attr(0755,root,root) %{udev_scriptdir}/v4l_id
%attr(0755,root,root) %{udev_scriptdir}/findkeyboards
%dir %{udev_scriptdir}/keymaps
%{udev_scriptdir}/keymaps/*
%attr(0644,root,root) %{_prefix}/lib/ConsoleKit/run-seat.d/udev-acl.ck

%files -n libudev
%defattr(0644, root, root, 0755)
%doc libudev/COPYING
%attr(0755,root,root) /%{_lib}/libudev.so.*

%files -n libudev-devel
%defattr(0644, root, root, 0755)
%doc libudev/COPYING libudev/docs/html/*
%{_includedir}/libudev.h
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc
%{_datadir}/gtk-doc/html/libudev/*

%files -n libgudev1
%defattr(0644, root, root, 0755)
%doc extras/gudev/COPYING
%attr(0755,root,root) %{_libdir}/libgudev-1.0.so.*
%attr(0644,root,root) %{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files -n libgudev1-devel
%defattr(0644, root, root, 0755)
%doc extras/gudev/COPYING extras/gudev/docs/html/*
%attr(0755,root,root) %{_libdir}/libgudev-1.0.so
%dir %attr(0755,root,root) %{_includedir}/gudev-1.0
%dir %attr(0755,root,root) %{_includedir}/gudev-1.0/gudev
%attr(0644,root,root) %{_includedir}/gudev-1.0/gudev/*.h
%attr(0644,root,root) %{_datadir}/gir-1.0/GUdev-1.0.gir
%dir %{_datadir}/gtk-doc/html/gudev
%attr(0644,root,root) %{_datadir}/gtk-doc/html/gudev/*
%attr(0644,root,root) %{_libdir}/pkgconfig/gudev-1.0*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (151-5m)
- full rebuild for mo7 release

* Thu Jun 17 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (151-4m)
- merge Fedora's change (151-10)
 +* Thu Jun 10 2010 Bastien Nocera <bnocera@redhat.com> 151-10
 +- Revert patch for hid2hci rules, fixes keyboards not going
 +  into HCI (Bluetooth) mode after being plugged in (#595178)

* Tue May  4 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (151-3m)
- merge Fedora's changes (151-9)
 +* Tue Apr 27 2010 Harald Hoyer <harald@redhat.com> 151-9
 +- more cdrom_id bugfixes to prevent autoclosing
 +* Tue Apr 13 2010 Harald Hoyer <harald@redhat.com> 151-8
 +- more cdrom_id bugfixes for buggy cdroms and CD burning
 +  (bug #577659)
 +* Mon Mar 22 2010 Harald Hoyer <harald@redhat.com> 151-7
 +- only correct the timestamp, if UTC=="no"
 +* Mon Mar 22 2010 Harald Hoyer <harald@redhat.com> 151-6
 +- touch with "--no-create", will not use open()
 +  and trigger devs/watchdogs (bug #575417)
 +* Mon Mar 22 2010 Harald Hoyer <harald@redhat.com> 151-5
 +- fixed return code of touching the device nodes [FAIL] -> [OK]
 +* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 151-4
 +- add patch for virtio-ports (#569700)
 +- own libgudev dirs (#561319)
 +- minor udev startup script improvements (#549518)
 +- create /dev/hugepages subdir in start_udev (#541998)
 +- remove GPL COPYING file from LGPL subpackages (#536843)
 +- removed symlinks to udevadm
 +- touch all device nodes after udev settled for the timezone
 +  timestamp (#569335)
 +- add some upstream bugfixes
 +- add "-D" to gperf call

* Wed Feb 17 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (151-2m)
- merge Fedora's change (151-3)
 +* Sun Feb 07 2010 Kyle McMartin <kyle@redhat.com> 151-3
 +- udev-86a7a2f-fix-missing-firmware.patch: fix hang when loading
 +  microcode (since microcode_intel tries to probe firmware which does
 +  not exist. *sigh*)

* Sun Jan 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (151-1m)
- version 151
- merge Fedora's change (151-2)
 +* Wed Jan 27 2010 Harald Hoyer <harald@redhat.com> 151-1
 +- version 151
 +- fixed udev-post initscript
 +- only require s390utils-base, rather than s390utils (#553156)

* Sat Dec 12 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (147-1m)
- version 147
- merge Fedora's changes (147-2)
 +* Tue Nov 24 2009 Harald Hoyer <harald@redhat.com> 147-2
 +- require s390utils, because it's essential on s390
 +* Thu Nov 12 2009 Harald Hoyer <harald@redhat.com> 147-1
 +- Fix upgrade from Fedora 11 with bluez installed (#533925)
 +- obsolete DeviceKit and DeviceKit-devel (#532961)
 +- fixed udev-post exit codes (#523976)
 +- own directory /lib/udev/keymaps (#521801)
 +- no more floppy modaliases (#514329)
 +- added one more modems to modem-modeswitch.rules (#515349)
 +- add NEWS file to the doc section
 +- automatically turn on hotplugged CPUs (rhbz#523127)
 +- recognize a devtmpfs on /dev (bug #528488)
 +* Fri Oct 09 2009 Harald Hoyer <harald@redhat.com> 147-0.1.gitdf3e07d
 +- pre 147
 +- database format changed
 +- lots of potential buffer overflow fixes
- move hid2hci from bluez to udev
- Obsoletes: and Provides: DeviceKit
- udev-147 requires kernel-2.6.32 or later

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (145-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (145-3m)
- merge Fedora's change (145-10)
 +* Tue Sep 29 2009 Harald Hoyer <harald@redhat.com> 145-10
 +- add ConsoleKit patch for ConsoleKit 0.4.1

* Sun Sep 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (145-2m)
- remove packages libvolume_id and libvolume_id-devel
- add packages libgudev1 and libgudev1-devel
- rename package libudev0 to libudev
- merge Fedora's changes (145-9)
 +* Fri Sep 25 2009 harald@redhat.com 145-9
 +- add patches to fix cdrom_id
 +- add patch to fix the inotify bug (bug #524752)
 +* Wed Sep 23 2009 harald@redhat.com 145-8
 +- obsolete libgudev and libgudev-devel (bug #523569)
 +* Tue Aug 04 2009 Harald Hoyer <harald@redhat.com> 145-5
 +- do not make extra nodes in parallel
 +- restorecon on /dev
 +* Tue Aug 04 2009 Harald Hoyer <harald@redhat.com> 145-4
 +- --enable-debug
 +- add patch for timestamps in debugging output
 +* Wed Jul 29 2009 Harald Hoyer <harald@redhat.com> 145-3
 +- add patch from upstream git to fix bug #514086
 +- add version to usbutils build requirement
 +* Fri Jul 24 2009 Harald Hoyer <harald@redhat.com> 145-2
 +- fix file permissions
 +- remove rpath
 +- chkconfig --add for udev-post
 +- add "Required-Stop" to udev-post
 +* Tue Jul 14 2009 Harald Hoyer <harald@redhat.com> 145-1
 +- add "udevlog" kernel command line option to redirect the
 +  output of udevd to /dev/.udev/udev.log
 +* Fri Jul 03 2009 Harald Hoyer <harald@redhat.com> 143-2
 +- add acpi floppy modalias
 +- add retrigger of failed events in udev-post.init
 +- killall pids of udev in %%pre
 +* Fri Apr 17 2009 Harald Hoyer <harald@redhat.com> 141-3
 +- added /dev/fuse creation to start_udev

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (145-1m)
- sync Fedora
 +* Tue Aug 04 2009 Harald Hoyer <harald@redhat.com> 145-4
 +- --enable-debug 
 +- add patch for timestamps in debugging output

* Mon May 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (141-2m)
- import udev.git-f907449eee.patch from Fedora
 +* Fri Apr 24 2009 Harald Hoyer <harald@redhat.com> 141-3
 +- cdrom_id: add and use ID_CDROM_MEDIA to decide if we run vol_id
 +  (bug #496298)
 +- Resolves: rhbz#496298

* Thu Apr 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (141-1m)
- version 141
- [SECURITY] CVE-2009-1185 CVE-2009-1186
- merge Fedora's change
 +* Thu Apr 16 2009 Harald Hoyer <harald@redhat.com> 141-2
 +- fixed post and pre

* Sat Apr  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (139-2m)
- merge Fedora's changes
 +* Wed Apr 01 2009 Harald Hoyer <harald@redhat.com> 139-4
 +- double the IMPORT buffer (bug #488554)
 +- Resolves: rhbz#488554
 +* Wed Apr 01 2009 Harald Hoyer <harald@redhat.com> 139-3
 +- renamed modprobe /etc/modprobe.d/floppy-pnp to
 +  /etc/modprobe.d/floppy-pnp.conf (bug #492732 #488768)
 +- Resolves: rhbz#492732

* Sun Mar 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (139-1m)
- version 139
- merge Fedora's change
 +* Tue Mar 03 2009 Harald Hoyer <harald@redhat.com> 139-2
 +- speedup of start_udev by doing make_extra_nodes in parallel to
 +  the daemon start

* Sun Feb  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (137-1m)
- version 137
- merge Fedora's changes
 +* Thu Feb 05 2009 Harald Hoyer <harald@redhat.com> 137-4
 +- fixed md change/remove event handling
 +* Thu Feb 05 2009 Harald Hoyer <harald@redhat.com> 137-3
 +- added 5 second sleep for "modprobedebug" to catch bad modules
 +* Fri Jan 30 2009 Harald Hoyer <harald@redhat.com> 137-2
 +- moved groupadd to pre section (bug #483089)
 +* Thu Jan 29 2009 Harald Hoyer <harald@redhat.com> 137-1
 +- add vol_id patches from kzak

* Wed Jan 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (136-1m)
- version 136
- merge Fedora's changes
 +* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 136-2
 +- added some rule fixes, which will be in udev-137
 +* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 136-1
 +- test for restorecon in start_udev before it is used (bug #480608)
 +- added groups video audio cdrom tape dialout in post
 +  (might be moved to MAKEDEV)
- move gid of cdrom from 11 to 16 (to avoid conflicting other package ex. clamav)
- move gid of dialout from 87 to 93 (to avoid conflicting with polkituser)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (135-3m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (135-2m)
- merge Fedora's changes
 +* Tue Dec 16 2008 Harald Hoyer <harald@redhat.com> 135-3
 +- added sepol patch
 +* Tue Dec 16 2008 Harald Hoyer <harald@redhat.com> 135-2
 +- added doc to libudev-devel
 +- added more attr and defattr
 +- various rpmlint fixes

* Fri Dec  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (135-1m)
- version 135
- add 2 package libudev0 and libudev-devel
- use "udevadm settle" instead of udevsettle in start_udev
- merge Fedora's changes
 +* Thu Oct 16 2008 Harald Hoyer <harald@redhat.com> 127-2
 +- added 2 patches for md raid vol_id
 +* Fri Aug 08 2008 Harald Hoyer <harald@redhat.com> 126-1
 +- fixed udevadm syntax in start_udev (credits B.J.W. Polman)
 +- removed some manually created devices from makedev (bug #457125)

* Mon Sep  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (124-4m)
- revert to 2m, changes of 3m may be broken

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (124-3m)
- merge F9's changes
 +* Wed Aug 06 2008 Harald Hoyer <harald@redhat.com> 124-2
 +- added patch for cdrom tray close bug (rhbz#453095)
 +- fixed udevadm syntax in start_udev (credits B.J.W. Polman)

* Sun Jul  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (124-2m)
- merge Fedora's change
 +* Fri Jul 04 2008 Harald Hoyer <harald@redhat.com> 124-1.2
 +- make block devices 0660 as an interim fix (rhbz#451320)

* Mon Jun 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (124-1m)
- version 124
- merge Fedora's changes
 +* Tue Jun 17 2008 Harald Hoyer <harald@redhat.com> 124-1.1
 +- readded udevcontrol, udevtrigger symlinks for Fedora 9,
 +  which are needed by live-cd-tools
 +* Thu Jun 12 2008 Harald Hoyer <harald@redhat.com> 124-1
 +- removed udevcontrol, udevtrigger symlinks (use udevadm now)

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (120-3m)
- merge Fedora's changes
 +* Tue May 06 2008 Harald Hoyer <harald@redhat.com> 120-5.20080421git
 +- remove /dev/.udev in start_udev (bug #442827)
 +* Mon Apr 21 2008 Harald Hoyer <harald@redhat.com> 120-4.20080421git
 +- rules_generator: net rules - always add KERNEL== match to generated rules
 +- Resolves: rhbz#440568

* Wed Apr 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (120-2m)
- BuildRequires: libselinux-static libsepol-static

* Wed Apr 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (120-1m)
- version 120
- merge Fedora's changes
 +* Fri Apr 11 2008 Harald Hoyer <harald@redhat.com> 120-3
 +- fixed pre/preun scriptlets (bug #441941)
 +- removed fedora specific patch for selinux symlink handling
 +* Sat Apr 05 2008 Harald Hoyer <harald@redhat.com> 120-2
 +- removed warning about deprecated /lib/udev/devices (rhbz#440961)
 +- replaced /usr/bin/find with shell find function (rhbz#440961)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (118-3m)
- rebuild against gcc43

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (118-2m)
- merge Fedora's changes
 +* Mon Mar 17 2008 Harald Hoyer <harald@redhat.com> 118-11
 +- removed /var/lib/udev/rules.d again
 +* Fri Mar 14 2008 Harald Hoyer <harald@redhat.com> 118-10
 +- turned off MAKEDEV cache, until the generated shell scripts 
 +  create new directories
 +* Thu Mar 13 2008 Harald Hoyer <harald@redhat.com> 118-9
 +- added more support for the "modprobedebug" kernel command 
 +  line option, to debug hanging kernel modules
 +* Thu Mar 13 2008 Harald Hoyer <harald@redhat.com> 118-8
 +- added /etc/sysconfig/udev to configure some speedups
 +- added "udevnopersist" as a kernel command line, to disable
 +  persistent storage symlink generation
 +* Thu Mar 13 2008 Harald Hoyer <harald@redhat.com> 118-7
 +- files from /var/lib/udev/rules.d are copied to /dev/.udev/rules.d 
 +  at startup and back at shutdown
 +- persistent cd and net rules generate the files in 
 +  /dev/.udev/rules.d now
 +- added post section to symlink 70-persistent-cd.rules 70-persistent-net.rules
 +  from /etc/udev/rules.d to /dev/.udev/rules.d
 +* Thu Mar 13 2008 Harald Hoyer <harald@redhat.com> 118-6
 +- moved all generated files to /var/lib/udev 
 +  (also 70-persistent-cd.rules 70-persistent-net.rules)
 +- added a caching mechanism for MAKEDEV (saves some seconds on startup)
 +- added trigger for selinux-policy and MAKEDEV to remove the udev cache files
 +* Wed Feb 20 2008 Harald Hoyer <harald@redhat.com> 118-4
 +- made symlinks relative (rhbz#432878)
 +- removed the backgrounding of node creation (rhbz#381461)
 +- do not change sg group ownership to disk for scanners (rhbz#432602)
 +- attempt to fix selinux symlink bug (rhbz#345071)
 +- fixed URL

* Mon Jan 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (118-1m)
- version 118
- import udev-116-rhrules.patch from Fedora
 +* Tue Jan 08 2008 Harald Hoyer <harald@redhat.com> 118-1
 +- removed old USB compat rule (rhbz#424331)

* Sat Oct 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (116-2m)
- import udev-116-nettype.patch from Fedora
 +* Thu Oct 18 2007 Harald Hoyer <harald@redhat.com> 116-3
 +- patch: do not generate net rules for type > 256
 +- fixes glitches appearing in bz#323991

* Thu Oct 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (116-1m)
- version 116
- merge Fedora's changes
- License: GPLv2

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-6m)
- revise %%preun for Momonga Linux 4 beta2

* Sat Jul 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-5m)
- update start_udev
- remove snd-powermac from the default modules
 +* Tue Jun 26 2007 Harald Hoyer <harald@redhat.com> - 106-4.1
 +- fixed modprobedebug option
 +- removed snd-powermac from the default modules (#200585)

* Sun May  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-4m)
- update udev-rules.patch
 +* Wed May 02 2007 Harald Hoyer <harald@redhat.com> - 106-4
 +- do not skip all events on modprobe (#238385)
 +- Resolves: rhbz#238385

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-3m)
- sync with Fedora, but set debug false
 +* Fri Apr 27 2007 Harald Hoyer <harald@redhat.com> - 106-3
 +- modprobe only on modalias (bug #238140)
 +- make startup messages visible again
 +- speedup boot process by not executing pam_console_apply while booting
 +- Resolves: rhbz#238140

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-2m)
- import udev-106-selinuxmedia.patch from Fedora
 +* Wed Apr 11 2007 Harald Hoyer <harald@redhat.com> - 106-2
 +- create floppy device nodes with the correct selinux context (bug #235953)
 +- Resolves: rhbz#235953

* Fri Mar  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (106-1m)
- version 106
- sync with Fedora
 +* Wed Mar  7 2007 Harald Hoyer <harald@redhat.com> - 106-1
 +- specfile cleanup
 +- removed pilot rule
 +- removed dasd_id and dasd_id rule
 +- provide static versions in a subpackage

* Mon Feb 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (105-1m)
- version 105

* Mon Feb 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (104-2m)
- update udev-rules.patch
 +* Tue Feb  6 2007 Harald Hoyer <harald@redhat.com> - 104-2
 +- moved uinput to input subdirectory (rhbz#213854)
 +- added USB floppy symlinks (rhbz#185171)
 +- fixed ZIP drive handling (rhbz#223016)
 +- Resolves: rhbz#213854,rhbz#185171,rhbz#223016

* Mon Jan 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (104-1m)
- version 104

* Wed Nov 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (103-2m)
- add %%post and %%postun of libvolume_id

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (103-1m)
- version 103
- update rules.patch, replace DRIVER -> DRIVERS
- sync with Fedora Core devel

* Thu Nov  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (095-1m)
- version 095
- add packages libvolume_id and libvolume_id-devel
- sync with Fedora Core devel

* Mon Jul 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (090-4m)
- update udev-rules.patch (imported from Fedora Core devel)
 +* Tue May 09 2006 Harald Hoyer <harald@redhat.com> - 091-3
 +- corrected some rules

* Sun Jun 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (090-3m)
- remove Prereq: hotplug

* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (090-2m)
- revise %%files to avoid conflicting
- /lib/firmware is already provided by hotplug

* Mon May  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (090-1m)
- version 090

* Mon May  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (091-1m)
- version 091

* Fri Mar 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (084-1m)
- version 084
- sync with Fedora Core devel

* Tue Feb 21 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (078-4m)
- require higher version of libselinux

* Sat Feb 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (078-3m)
- version up to 078 again

* Fri Dec 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (075-1m)
- version down to 075 for kernel-2.6.14

* Thu Dec 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.78-2m)
- update start_udev from Fedora Core devel

* Wed Dec 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.78-1m)
- sync with fc-devel

* Tue Nov 1 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.50-3m)
- rebuild against libselinux-1.26

* Sun Mar  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.50-2m)
- rm -rf $udev_root/.udev.tdb at the start_udev(SOURCE20).

* Sat Mar 05 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.50-1m)
- re-import from FC3.
- changelog is below
- * Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> - 050-8
- - fixed rh#144598
- 
- * Fri Feb 18 2005 Harald Hoyer <harald@redhat.com> - 050-6
- - introducing /etc/udev/makedev.d/50-udev.nodes
- - glibcstatic patch modified to let gcc4 compile udev
- 
- * Thu Feb 10 2005 Harald Hoyer <harald@redhat.com> - 050-5
- - doh, reverted the start_udev devel version, which slipped in
- 
- * Thu Feb 10 2005 Harald Hoyer <harald@redhat.com> - 050-3
- - fixed forgotten " in udev.rules
- 
- * Tue Jan 11 2005 Harald Hoyer <harald@redhat.com> - 050-2
- - removed /dev/microcode, /dev/cpu/microcode is now the real node
- - cleaned up start_udev
- 
- * Tue Jan 11 2005 Harald Hoyer <harald@redhat.com> - 050-1
- - version 050
- - /dev/cpu/0/microcode -> /dev/cpu/microcode
- 
- * Tue Dec 21 2004 Dan Walsh <dwalsh@redhat.com> - 048-4
- - Call selinux_restore to fix labeling problem in selinux
- - Fixes rh#142817
- 
- * Tue Dec 21 2004 Harald Hoyer <harald@redhat.com> - 048-3
- - maybe fixed bug rh#143367
- 
- * Thu Dec 16 2004 Harald Hoyer <harald@redhat.com> - 048-2
- - fixed a case where reading /proc/ide/hd?/media returns EIO
-   (bug rh#142713)
- - changed all device node permissions of group "disk" to 0640 
-   (bug rh#110197)
- - remove $udev_db with -fr in case of a directory (bug rh#142962)
- 
- * Mon Dec 13 2004 Harald Hoyer <harald@redhat.com> - 048-1
- - version 048
- - major specfile cleanup
- 
- * Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 042-1
- - version 042
- 
- * Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-10
- - speed improvement, scripts in rules are now executed only once,
-   instead of four times
- 
- * Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-9
- - removed wrong SIG_IGN for SIGCHLD
- - moved ide media check to script to wait for the procfs
 
* Fri Jan 21 2005 Toru Hoshina <t@momonga-linux.org>
- (0.39-1m)
- import from FC3.

* Wed Nov  3 2004 Jeremy Katz <katzj@redhat.com> - 039-8.FC3
- recreate lvm device nodes if needed in the trigger (#137807)

* Wed Nov 03 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.2
- replace udev.conf by default
- LANG=C for fgrep in start_udev; turn grep into fgrep

* Tue Nov 02 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.1
- speed up pam_console.dev
- mount pts and shm, in case of the dev trigger
- increased timeout for udevstart
- removed syslog() from signal handler (caused vmware locks)
- turned off logging, which speeds up the boot process

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-6
- fixed typo

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-5
- added udev-039-norm.patch, which prevents removal of hd* devices,
  because the kernel sends remove/add events, if an IDE removable device
  is close(2)ed. mke2fs, e.g. would fail in this case.

* Wed Oct 20 2004 Harald Hoyer <harald@redhat.com> - 039-4
- do not call dev.d scripts, if network interface hasn't changed 
  the name
- correct wait for dummy network devices
- removed NONBLOCK from volume-id
- do not log in udev.static, which should fix bug 136005 

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-3
- refined wait_for_sysfs for udev.static

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-2
- improved wait_for_sysfs for virtual consoles with Kay Siever's patch
- wait for ppp class
- wait for LVM dm- devices
- integrate wait_for_sys in udev.static for the initrd

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-1
- version 039, fixes also manpage bug 135996 
- fixed glibc issue for static version (getgrnam, getpwnam) (bug 136005)
- close the syslog in every app

* Fri Oct 15 2004 Harald Hoyer <harald@redhat.com> - 038-2
- par[0-9] is now a symlink to lp
- MAKEDEV the parport devices
- now conflicts with older initscripts

* Thu Oct 14 2004 Harald Hoyer <harald@redhat.com> - 038-1
- raw device nodes are now created in directory raw
- version 038

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 036-1
- better wait_for_sysfs warning messages

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 035-2
- fixed double bug in start_udev (bug 135405)

* Tue Oct 12 2004 Harald Hoyer <harald@redhat.com> - 035-1
- version 035, which only improves wait_for_sysfs
- load ide modules in start_udev, until a hotplug script is available
  (bug 135260)

* Mon Oct 11 2004 Harald Hoyer <harald@redhat.com> - 034-3
- removed scary error messages from wait_for_sysfs
- symlink from nst? -> tape?
- kill udevd on update

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-2
- check for /proc/sys/dev/cdrom/info existence in check-cdrom.sh

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-1
- new version udev-034
- removed patches, which went upstream
- pam_console.dev link renamed to 05-pam_console.dev
- MAKEDEV.dev links renamed to 10-MAKEDEV.dev

* Thu Oct 07 2004 Harald Hoyer <harald@redhat.com> - 032-10
- added floppy madness (bug 134830)
- replay scsi events in start_udev for the devices on the adapter (bug 130746)

* Wed Oct 06 2004 Harald Hoyer <harald@redhat.com> - 032-9
- obsoleted $UDEV_LOG, use udev_log
- correct SYMLINK handling in pam_console.dev
- specfile cleanup
- added check-cdrom.sh for nice cdrom symlinks

* Mon Oct 04 2004 Harald Hoyer <harald@redhat.com> - 032-8
- added patches from Feliciano Matias for multiple symlinks (bug 134477 and 134478)
- corrected some permissions with a missing leading 0
- added z90crypt to the permissions file (bug 134448)
- corrected requires and conflicts tags
- removed /dev/log from MAKEDEV creation

* Fri Oct 01 2004 Harald Hoyer <harald@redhat.com> - 032-7
- more device nodes for those without initrd

* Thu Sep 30 2004 Harald Hoyer <harald@redhat.com> - 032-6
- prevent error message from device copying
- use already translated starting strings

* Wed Sep 29 2004 Harald Hoyer <harald@redhat.com> - 032-5
- add "fi" to start_udev
- do not create floppy devices manually (bug 133838)

* Tue Sep 28 2004 Harald Hoyer <harald@redhat.com> - 032-4
- made /etc/udev/devices/ for manual device nodes
- refined SELINUX check, if /dev is not yet mounted in start_dev

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 032-3
- corrected permissions for /dev/rtc (bug 133636)
- renamed device-mapper to mapper/control (bug 133688)

* Wed Sep 22 2004 Harald Hoyer <harald@redhat.com> - 032-2
- removed option to turn off udev
- udevstart.static now symling to udev.static

* Tue Sep 21 2004 Harald Hoyer <harald@redhat.com> - 032-1
- version 032

* Mon Sep 20 2004 Harald Hoyer <harald@redhat.com> - 030-27
- simplified udev.conf
- refined close_on_exec patch
- added pam_console supply for symlinks, now gives correct permissions,
  for e.g. later plugged in cdroms
- renamed sr? to scd? (see devices.txt; k3b likes that :)

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 030-26
- require a 2.6 kernel
- prereq instead of requires MAKEDEV
- obsolete and provide dev
- add a trigger for the removal of /dev so that we set things up 

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> - 030-25
- Use matchmediacon

* Fri Sep 10 2004 Harald Hoyer <harald@redhat.com> - 030-24
- check if SELINUX is not disabled before executing setfiles (bug 132099)

* Wed Sep  8 2004 Harald Hoyer <harald@redhat.com> - 030-23
- mount tmpfs with mode 0755 in start_udev

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-22
- applied rules from David Zeuthen which read /proc directly without 
  shellscript

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-21
- applied enumeration patch from David Zeuthen for cdrom symlinks (bug 131532)
- create /dev/ppp in start_udev (bug 131114)
- removed nvidia devices from start_udev
- check for restorecon presence in start_udev (bug 131904)

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-20
- due to -x added to MAKEDEV specify the par and lp numbers

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-19
- added udev-030-rhsec.patch (bug 130351)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-18
- make the exact device in start_udev (and thus, require new MAKEDEV)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-17
- make sure file contexts of everything in the tmpfs /dev are set right 
  when start_udev runs

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-16
- moved %{_sysconfdir}/hotplug.d/default/udev.hotplug to %{_sysconfdir}/hotplug.d/default/10-udev.hotplug

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-15
- added nvidia devices to start_udev
- added UDEV_RAMFS for backwards compat to udev.conf
- changed Group (bug 131488)
- added libselinux-devel to build requirements

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 030-14
- require MAKEDEV

* Wed Sep 1 2004 Dan Walsh <dwalsh@redhat.com> - 030-13
- Change to setfilecon if directory exists.

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> - 030-12
- fixed start_udev

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 030-11
- use tmpfs instead of ramfs (it has xattr support now)
- change variables appropriately to TMPFS intead of RAMFS in udev.conf
- create loopN, not just loop in start_udev

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> - 030-10
- Fix Patch

* Thu Aug 26 2004 Dan Walsh <dwalsh@redhat.com> - 030-9
- Cleaned up selinux patch

* Tue Aug 24 2004 Harald Hoyer <harald@redhat.com> - 030-8
- changed defaults not to remove device nodes
- added rule for net/tun
- extended start_udev to create devices, which can trigger module autoloading
- refined cloexec patch, to redirect stdin,out,err of /dev.d execed apps to /dev/null

* Mon Aug 23 2004 Harald Hoyer <harald@redhat.com> - 030-7
- removed usage of /usr/bin/seq in start_udev
- set correct permissions in start_udev
- extended the cloexec patch
- removed udev-persistent package (define with_persistent==0)
- check for /var/run/console/console.lock before calling /sbin/pam_console_setowner
- linked pam_console_setowner statically against libglib-2.0.a

* Fri Aug 20 2004 Harald Hoyer <harald@redhat.com> - 030-5
- use correct console.lock file now in pam_console_setowner

* Wed Aug 18 2004 Harald Hoyer <harald@redhat.com> - 030-4
- added the selinux patch

* Fri Jul 23 2004 Harald Hoyer <harald@redhat.com> - 030-3
- extended the cloexec patch

* Wed Jul 21 2004 Dan Walsh <dwalsh@redhat.com> - 030-2
- Close Database fd in exec processes using FD_CLOSEXEC

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 030-1
- version 030

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-4
- added udevstart.static 

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-3
- put /etc/sysconfig/udev in /etc/udev/udev.conf and removed it
- made only udev.static static
- make our defaults the default values
- removed /udev

* Tue Jul  6 2004 Harald Hoyer <harald@redhat.com> - 029-1
- version 029, added udev_remove and udev_owner to udev.conf

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-3
- fixed UDEV_REMOVE=no

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-2
- udev-026
- preserve ownership of device nodes, which already exist
- do not remove device nodes if UDEV_REMOVE="no"
- added volume_id
- build with klibc

* Wed May 26 2004 Harald Hoyer <harald@redhat.com> - 025-1
- udev-025
- added ata_identify
- build nearly all with dietlibc

* Mon May 10 2004 Elliot Lee <sopwith@redhat.com> 024-6
- Turn off udevd by default for FC2

* Tue Apr 20 2004 Harald Hoyer <harald@redhat.com> - 024-5
- fixed permission for /dev/tty (FC2)

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-4
- moved the 00- files to 50-, to let the use place his files in front

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-3
- set UDEV_SELINUX to yes
- added UDEV_LOG

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-2
- added /udev to filelist

* Wed Apr 14 2004 Harald Hoyer <harald@redhat.com> - 024-1
- update to 024
- added /etc/sysconfig/udev
- added selinux, pam_console, dbus support

* Fri Mar 26 2004 Harald Hoyer <harald@redhat.com> - 023-1
- update to 023

* Wed Mar 24 2004 Bill Nottingham <notting@redhat.com> 022-1
- update to 022

* Sun Mar 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- really move initscript

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- move chkconv to preun
- nicer url

* Wed Feb 25 2004 Harald Hoyer <harald@redhat.com> - 018-1
- changes permissions and rules

* Mon Feb 23 2004 Dan Walsh <dwalsh@redhat.com>
- Add selinux support

* Thu Feb 19 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some more files to the documentation directory
- add ability to build scsi_id and make it the default

* Mon Feb 16 2004 Greg Kroah-Hartman <greg@kroah.com>
- fix up udevd build, as it's no longer needed to be build seperatly
- add udevtest to list of files
- more Red Hat sync ups.

* Thu Feb 12 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some changes from the latest Fedora udev release.

* Mon Feb 2 2004 Greg Kroah-Hartman <greg@kroah.com>
- add udevsend, and udevd to the files
- add ability to build udevd with glibc after the rest is build with klibc

* Mon Jan 26 2004 Greg Kroah-Hartman <greg@kroah.com>
- added udevinfo to rpm
- added URL to spec file
- added udevinfo's man page

* Mon Jan 05 2004 Rolf Eike Beer <eike-hotplug@sf-tec.de>
- add defines to choose the init script (Redhat or LSB)

* Tue Dec 16 2003 Robert Love <rml@ximian.com>
- install the initscript and run chkconfig on it

* Tue Nov 2 2003 Greg Kroah-Hartman <greg@kroah.com>
- changes due to config file name changes

* Fri Oct 17 2003 Robert Love <rml@tech9.net>
- Make work without a build root
- Correctly install the right files
- Pass the RPM_OPT_FLAGS to gcc so we can build per the build policy
- Put some prereqs in
- Install the hotplug symlink to udev

* Mon Jul 28 2003 Paul Mundt <lethal@linux-sh.org>
- Initial spec file for udev-0.2.
